/* BLOCK: Text & Image */
.block-text-image .main-wrapper {
    display: grid;
    grid-template-columns: 1fr 1fr;
}

.block-text-image .main-wrapper:not(.active) {
    display: none !important;
}

.block-text-image .main-wrapper.media--left .text-wrapper {
    padding-left: 7.75rem;
    order: 2;
}

.block-text-image .main-wrapper.media--left .media-wrapper {
    order: 1;
}

.block-text-image .main-wrapper.media--right .text-wrapper {
    padding-right: 7.75rem;
    text-align: left;
    /* align-items: flex-end; */
    order: 1;
}

.block-text-image .main-wrapper.media--right .media-wrapper {
    order: 2;
}

.block-text-image .media-wrapper {
    width: 100%;
    min-width: 0;
    border-radius: 1.563rem;
    overflow: hidden;
}

.block-text-image .text-wrapper {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 3.125rem;
    min-width: 0;
}

.block-text-image .text-wrapper h3 {
    margin-bottom: 3.125rem;
}

.block-text-image:not([class*=theme--dark]) .main-wrapper:not(.layout--card) .text-content :is(h6, .h6) {
    color: var(--c-primary);
}

.block-text-image .layout--card {
    display: grid;
    grid-template-columns: repeat(2,1fr);
    gap: 1.188rem;
}

.block-text-image .main-wrapper.layout--card .text-wrapper {
    border-radius: 1.563rem;
    overflow: hidden;
    padding: 3.125rem;
}

.block-text-image .layout--card .text-wrapper p.h7 {
    color: var(--c-tertiary);
    font-weight: 600;
    margin-bottom: 2.5rem;
}

.block-text-image .layout--card .text-wrapper h4 {
    margin-bottom: 3.125rem;
}

.block-text-image .layout--card .media-wrapper {
    aspect-ratio: 1 / 1;
    height: 100%;
    order: 1;
    padding: 3.125rem;
}

.block-text-image .layout--card .cta-buttons {
    margin-top: auto;
}

.block-text-image .tabs-wrapper {
    display: flex;
    align-items: center;
    flex-wrap: nowrap;
    gap: 1.25rem;
    padding-block: 1.25rem;
    margin-inline: calc(-1 * var(--offset, 0px));
    padding-inline: var(--offset, 0px);
    overflow-x: auto;
    scrollbar-width: 0;
}

.block-text-image .tabs-wrapper::-webkit-scrollbar {
    display: none;
}

.block-text-image .tabs-wrapper .tab-btn {
    flex-basis: 100%;
    padding: 1.563rem;
    border-radius: 1.563rem;
    border: 1px solid rgb(from var(--c-text-dark) r g b / 0.15);
    background-color: transparent;
    /* container-type: inline-size; */

    display: flex;
    align-items: center;
    gap: 1.25rem;
    text-wrap: nowrap;
}

.block-text-image .tabs-wrapper .tab-btn.active {
    background-color: var(--c-bg-dark-tint-1);
    border: none;
}

.block-text-image .tabs-wrapper .tab-btn .number {
    font-size: var(--font-18-12);
    font-weight: 600;
    border-radius: 100vw;
    color: var(--c-bg-dark-tint-1);
    background-color: var(--c-bg-light-tint-1);

    width: 2.5rem;
    height: 2.5rem;
    display: flex;
    justify-content: center;
    align-items: center;
}

.block-text-image .tabs-wrapper .tab-btn.active .number {
    color: var(--c-text-light);
    background-color: var(--c-bg-dark);
}

.block-text-image .tabs-wrapper .tab-btn .label {
    font-size: var(--font-21-15);
    font-weight: 600;
    color: var(--c-bg-dark);
    /* font-size: clamp(0.9375rem, 4cqi, 1.3125rem); */
}

.block-text-image .tabs-wrapper .tab-btn.active .label {
    color: var(--c-bg-light);
}

.block-text-image .logos-wrapper {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 1.25rem;
    width: 100%;
    min-width: 0;
}

.block-text-image .logo-wrapper {
    background-color: var(--c-bg-light-tint-1);
    border-radius: .75rem;
    padding: 1.5rem 1.5rem;
    aspect-ratio: 1.715;
    min-width: 0;
}

.block-text-image .logo-wrapper img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

@media screen and (width <= 1024px) {
    .block-text-image .logos-wrapper {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media screen and (width <= 920px) {
    .block-text-image .main-wrapper.media--left .text-wrapper {
        padding-left: 1.75rem;
    }

    .block-text-image .main-wrapper.media--right .text-wrapper {
        padding-right: 1.75rem;
    }
}

@media screen and (width <= 620px) {
    .block-text-image .main-wrapper {
        display: flex;
        flex-direction: column;
        gap: 3.125rem;
    }

    .block-text-image .media-wrapper {
        height: 100%;
        aspect-ratio: 1;
        border-radius: 1.125rem;
    }

    .block-text-image .main-wrapper :is(.text-wrapper, .media-wrapper) {
        order: unset !important;
    }

    .block-text-image .main-wrapper.media--left .text-wrapper,
    .block-text-image .main-wrapper.media--right .text-wrapper {
        padding:0;
    }

    .block-text-image .text-wrapper h3,
    .block-text-image .main-wrapper:not(.layout--card) .text-content :is(h6, .h6) {
        margin-bottom: 1.625rem;
    }

    .block-text-image .text-wrapper {
        margin-bottom: 0;
    }

    .block-text-image .layout--card .media-wrapper {
        aspect-ratio: 0.875;
        order: unset;
        padding: 1.875rem;
    }

    .block-text-image .logos-wrapper {
        grid-template-columns: repeat(3, 1fr);
        gap: 0.75rem;
    }

    .block-text-image .logo-wrapper {
        aspect-ratio: 1.478;
        padding: 1rem;
        border-radius: 0.5rem;
    }

    .block-text-image .main-wrapper.layout--card {
        gap: 0.75rem;
        display: flex;
        flex-direction: column-reverse;
    }

    .block-text-image .main-wrapper.layout--card .text-wrapper {
        padding: 1.875rem;
        margin-bottom: 0;
        border-radius: 1.125rem;
    }

    .block-text-image .layout--card .text-wrapper h4 {
        margin-bottom: 1.875rem;
    }

    .block-text-image .tabs-wrapper {
        gap: 0.75rem;
    }

    .block-text-image .tabs-wrapper .tab-btn {
        grid-area: 0.625rem;
        padding: 0.9375rem;
        border-radius: 1.125rem;
        width: 16.25rem;
        min-width: 16.25rem;
        gap: 0.625rem;
    }

    .block-text-image .tabs-wrapper .tab-btn .number {
        width: 1.625rem;
        height: 1.625rem;
    }

    .block-text-image .layout--card .text-wrapper p.h7 {
        margin-bottom: 1.25rem;
    }

    .logos-wrapper {
    display: flex !important;
    flex-wrap: wrap;
    justify-content: space-between;
}

.logo-wrapper {
    width: 30%;
}

}
